class DFFImport : public SceneImport
{
	Interface *ifc;
	ImpInterface *impifc;

public:
	static int convertAxes;
	static int autoSmooth;
	static int prepend;

	void makeMaterials(rw::Atomic *a, INode *inode);
	void makeMesh(rw::Atomic *a, Mesh *maxmesh);
	BOOL dffFileRead(const TCHAR *filename);

	DFFImport();
	~DFFImport();
	int ExtCount();				// Number of extensions supported
	const TCHAR *Ext(int n);		// Extension #n (i.e. "3DS")
	const TCHAR *LongDesc();		// Long ASCII description (i.e. "Autodesk 3D Studio File")
	const TCHAR *ShortDesc();		// Short ASCII description (i.e. "3D Studio")
	const TCHAR *AuthorName();		// ASCII Author name
	const TCHAR *CopyrightMessage();	// ASCII Copyright message
	const TCHAR *OtherMessage1();		// Other message #1
	const TCHAR *OtherMessage2();		// Other message #2
	unsigned int Version();			// Version number * 100 (i.e. v3.01 = 301)
	void ShowAbout(HWND hWnd);		// Show DLL's "About..." box
	int DoImport(const TCHAR *name,ImpInterface *ii, Interface *i, BOOL suppressPrompts=FALSE);	// Import file
};
